summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorbleep_blop <worz@tuta.io>2017-12-24 06:53:20 +0000
committerLennart Poettering <lennart@poettering.net>2017-12-25 19:48:49 +0100
commit7629744a3dbca313b55882d3a63135b2a9b27805 (patch)
treed8670d347cd248c7f95029c7122894eb4ed9828f /test
parentsd-boot, udev: trivial condition simplifications (diff)
downloadsystemd-7629744a3dbca313b55882d3a63135b2a9b27805.tar.xz
systemd-7629744a3dbca313b55882d3a63135b2a9b27805.zip
separate flags from shebang
Diffstat (limited to 'test')
-rwxr-xr-xtest/networkd-test.py3
1 files changed, 2 insertions, 1 deletions
diff --git a/test/networkd-test.py b/test/networkd-test.py
index 3918d85ef0a..860c9f1898e 100755
--- a/test/networkd-test.py
+++ b/test/networkd-test.py
@@ -720,7 +720,8 @@ class NetworkdClientTest(ClientTestBase, unittest.TestCase):
self.addCleanup(os.remove, script)
with os.fdopen(fd, 'w+') as f:
f.write('''\
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
mkdir -p /run/systemd/network
mkdir -p /run/systemd/netif
mount -t tmpfs none /run/systemd/network